async function init() {
  translate();
  
  let prefs = ["show_cal_cal", "show_todo_cal", "show_today_cal"];
  
  for (let i=0; i<prefs.length; i++) {
    let str = prefs[i];
    let result = await browser.storage.local.get(str);
    let checkbox = document.getElementById(str);
    checkbox.checked = result[str] == undefined || result[str] ? true : false;    
    checkbox.addEventListener("input", (event) => {
      let obj = {};
      obj[event.target.id] = document.getElementById(event.target.id).checked;
      browser.storage.local.set(obj);
    });
  }
  
  document.getElementById("buttonClose").addEventListener("click", async () => {
    window.close();
  });
}

init();
